RDKit::MorganFingerprint Namespace Reference

## Classes

class | MorganAtomInvGenerator
| Default atom invariants generator for Morgan fingerprint, generates ECFP-type invariants. More...
class | MorganFeatureAtomInvGenerator
| Alternative atom invariants generator for Morgan fingerprint, generate FCFP-type invariants. More...
class | MorganBondInvGenerator
| Bond invariants generator for Morgan fingerprint. More...
class | MorganArguments
| Class for holding Morgan fingerprint specific arguments. More...
class | MorganAtomEnv
| Class for holding the bit-id created from Morgan fingerprint environments and the additional data necessary extra outputs. More...
class | MorganEnvGenerator
| Class that generates atom environments for Morgan fingerprint. More...

## Functions

template<typename OutputType >

RDKIT_FINGERPRINTS_EXPORT FingerprintGenerator< OutputType > *

getMorganGenerator (const unsigned int radius, const bool countSimulation=false, const bool includeChirality=false, const bool useBondTypes=true, const bool onlyNonzeroInvariants=false, AtomInvariantsGenerator *atomInvariantsGenerator=nullptr, BondInvariantsGenerator *bondInvariantsGenerator=nullptr, const std::uint32_t fpSize=2048, const std::vector< std::uint32_t > countBounds={1, 2, 4, 8}, const bool ownsAtomInvGen=false, const bool ownsBondInvGen=false)

| Get a fingerprint generator for Morgan fingerprint. More...

## Function Documentation

## getMorganGenerator()

template<typename OutputType >

RDKIT_FINGERPRINTS_EXPORT FingerprintGenerator<OutputType>* RDKit::MorganFingerprint::getMorganGenerator | ( | const unsigned int | radius,
|  | const bool | countSimulation = `false`,
|  | const bool | includeChirality = `false`,
|  | const bool | useBondTypes = `true`,
|  | const bool | onlyNonzeroInvariants = `false`,
|  | AtomInvariantsGenerator * | atomInvariantsGenerator = `nullptr`,
|  | BondInvariantsGenerator * | bondInvariantsGenerator = `nullptr`,
|  | const std::uint32_t | fpSize = `2048`,
|  | const std::vector< std::uint32_t > | countBounds = `{1, 2, 4, 8}`,
|  | const bool | ownsAtomInvGen = `false`,
|  | const bool | ownsBondInvGen = `false`
| ) |  |

Get a fingerprint generator for Morgan fingerprint.

Template Parameters

  OutputType | determines the size of the bitIds and the result, can be 32 or 64 bit unsigned integer

Parameters

  radius | the number of iterations to grow the fingerprint
  countSimulation | if set, use count simulation while generating the fingerprint
  includeChirality | if set, chirality information will be added to the generated bit id, independently from bond invariants
  onlyNonzeroInvariants | if set, bits will only be set from atoms that have a nonzero invariant
  countBounds | boundaries for count simulation, corresponding bit will be set if the count is higher than the number provided for that spot
  fpSize | size of the generated fingerprint, does not affect the sparse versions
  countSimulation | if set, use count simulation while generating the fingerprint
  includeChirality | sets includeChirality flag for both MorganArguments and the default bond generator MorganBondInvGenerator
  useBondTypes | if set, bond types will be included as a part of the default bond invariants
  onlyNonzeroInvariants | if set, bits will only be set from atoms that have a nonzero invariant
  atomInvariantsGenerator | custom atom invariants generator to use
  bondInvariantsGenerator | custom bond invariants generator to use
  ownsAtomInvGen | if set atom invariants generator is destroyed with the fingerprint generator
  ownsBondInvGen | if set bond invariants generator is destroyed with the fingerprint generator

Returns
  FingerprintGenerator<OutputType>* that generates Morgan fingerprints

This generator supports the following `AdditionalOutput` types:

- `atomToBits` : which bits each atom is the central atom for
- `atomCounts` : how many bits each atom sets
- `bitInfoMap` : map from bitId to (atomId, radius) pairs